### Method

# GUsb Device get_pid_as_str

since: 0.2.4

#### Declaration

    const gchar*
    g_usb_device_get_pid_as_str (
      GUsbDevice* self
    )

#### Description

Gets the product ID for the device as a string.

Available since: 0.2.4

#### Return value

Type: `const gchar*`

An string ID, or `NULL` if not available.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.